#include <bits/stdc++.h>
using namespace std;
short a[10001];
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie();
    cout.tie();
    int N , br = 1,c;
    cin>>N;
    for(int i=0;i<N;i++){
        cin>>c;
        a[c]=i;
    }
    int p;
    for(int i=0;i<N;i++){
        cin>>c;
        if(i>0){
            if((a[c]-a[p])==1){
            }else {
                br++;

            }
            p=c;
        }else{
            p = c;
        }
    }

    cout<<br<<endl;
    return 0;
}
